%global commit fbf0a0a01624951efd7a7407ee3821fd817acf63

Name:           osmctools
Version:        0.8
Release:        1%{?dist}
Summary:        Tools to manipulate OpenStreetMap files

# Debian man pages are GPLv2+
License:        AGPLv3 and GPLv2+
URL:            https://gitlab.com/osm-c-tools/osmctools
Source0:        https://gitlab.com/osm-c-tools/osmctools/repository/archive.tar.gz?ref=%{version}#/%{name}-%{version}.tar.gz
# Man pages from Debian
Source1:        osmconvert.1
Source2:        osmfilter.1
Source3:        osmupdate.1
# Fix spelling errors
# https://gitlab.com/osm-c-tools/osmctools/commit/eb447932aa1336b2a27034a16d88b467e7dd4e1b
Patch0:         %{name}-0.8-spelling-errors.patch

BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       wget


%description
Small collection of basic OpenStreetMap tools, include converter, filter and
updater files.

Programs include:
* osmconvert - Converter of OSM files
* osmfilter - The experimental OSM filters data
* osmupdate - Update OSM files.


%prep
%autosetup -p1 -n %{name}-%{version}-%{commit}


%build
autoreconf -fvi
%configure
%make_build


%install
%make_install

# Install man pages
install -d %{buildroot}%{_mandir}/man1/
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3}; do
  install -p -m 0644 ${i} %{buildroot}%{_mandir}/man1/
done


%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/osmconvert
%{_bindir}/osmfilter
%{_bindir}/osmupdate
%{_mandir}/man1/osmconvert.1*
%{_mandir}/man1/osmfilter.1*
%{_mandir}/man1/osmupdate.1*


%changelog
* Sat Nov 25 2017 Andrea Musuruane <musuruan@gmail.com> - 0.8-1
- Updated to new upstream release
- Updated man pages from Debian

* Fri Aug 25 2017 Andrea Musuruane <musuruan@gmail.com> - 0.7-2
- Fixed License tag

* Sun Jun 25 2017 Andrea Musuruane <musuruan@gmail.com> - 0.7-1
- First release

